RTM! Windows Management Framework (WMF) 5.1 KB3191565

Windows Management Framework (WMF) 5.1 per KB3191565 updates Windows PowerShell and associated features in legacy and downlevel Windows operating systems to match those released in Windows Server 2016 and Windows 10 Anniversary Edition.

SUPPORTED OS

  • Windows Server 2012 R2
  • Windows Server 2012
  • Windows Server 2008 R2 SP1
  • Windows Server 2008
  • Windows 8.1
  • Windows 7 SP1

REQUIREMENTS

  • .NET Framework 4.5.x or higher
  • Install and Configure WMF 5.1 (download)
  • direct installation over WMF 4.0 or 5.0
  • uninstall WMF 5.1 Preview
  • Windows Server 2008 R2 SP1 or Windows 7 SP1
    – either uninstall WMF 3.0 or save/restore $PSModulePath before/after installing WMF 5.1
    – elevated execution of Set-WSManQuickConfig to configure WinRM (default not enabled)
    – unzip Win7-KB3191566-x??.zip, execute Install-WMF5.1.PS1 and follow on-screen instructions
  • WMF 4.0 required (on Windows Server 2008 R2 or Windows 7)

INCOMPATIBLE / NOT TESTED

  • Microsoft Exchange Server 2013
  • Microsoft Exchange Server 2010 SP3
  • Skype for Business Server 2015
  • Microsoft Lync Server 2013
  • Microsoft Lync Server 2010
  • System Center 2012 R2 Service Management Automation
  • Microsoft SharePoint Server 2010
  • System Center 2012 Virtual Machine Manager

REFERENCES
– Installing the .NET Framework (MSDN Library)
– Windows Management Framework (WMF) 5.1 Release Notes (link)
– Windows Management Framework (WMF) 5.1 Released (Windows PowerShell Blog)
– .NET Framework Versions and Dependencies (MSDN Library)
– Mailbag: What version of the .NET Framework is included in what version of the OS? (MSDN Blog)

Windows Management Framework (WMF) 5.1 Released

Bookmark the permalink.

Leave a Reply